%define uname	BR24radar_pi
%define piname	br24radar_pi

Name:		opencpn-br24radar-plugin
Summary:	Radar plugin for OpenCpn
Version:	2.2
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/canboat/%{uname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{uname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{uname} = %{version}

%description
Navico (Simrad, Lowrance) Broadband BR24/3G/4G Radar PlugIn for opencpn

%prep
%setup -q -n %{uname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Mon Oct 10 2016 barjac <barjac> 2.2-1.mga6
+ Revision: 1059875
- new version 2.2
- fix files list

* Thu Jun 02 2016 daviddavid <daviddavid> 1.32-2.mga6
+ Revision: 1019827
- rebuild for wxgtk3.0 built with GTK2

* Thu Apr 28 2016 barjac <barjac> 1.32-1.mga6
+ Revision: 1007196
- new version 1.32

* Tue Mar 15 2016 barjac <barjac> 1.31-1.mga6
+ Revision: 990975
- new version 1.31

* Tue Feb 16 2016 barjac <barjac> 1.3-2.mga6
+ Revision: 962306
- changed buildrequire wxgtku3.0

* Mon Dec 07 2015 barjac <barjac> 1.3-1.mga6
+ Revision: 908748
- new package opencpn-br24radar-plugin

